# result.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include <stdexcept>`
`#include "pqxx/util"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for result.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx
namespace | pqxx::internal

## Classes

struct | pqxx::internal::result_data
| Information shared between all copies of a result set. More...
class | pqxx::result
| Query or command result set. More...
class | pqxx::result::tuple
| Reference to one row in a result. More...
class | pqxx::result::field
| Reference to a field in a result set. More...
class | pqxx::result::const_iterator
| Iterator for rows (tuples) in a query result set. More...
class | pqxx::result::const_reverse_iterator
class | pqxx::result::const_fielditerator
class | pqxx::result::const_reverse_fielditerator
class | pqxx::field_streambuf< CHAR, TRAITS >
class | pqxx::basic_fieldstream< CHAR, TRAITS >
| Input stream that gets its data from a result field. More...

## Typedefs

typedef basic_fieldstream< char > | pqxx::fieldstream

## Functions

void | pqxx::internal::freemem_result_data (result_data *) throw ()
template<typename STREAM>
STREAM & | pqxx::operator<< (STREAM &S, const pqxx::result::field &F)
| Write a result field to any type of stream.
template<typename T>
void | pqxx::from_string (const result::field &F, T &Obj)
| Convert a field's string contents to another type.
template<>
PGSTD::string | pqxx::to_string (const result::field &Obj)
| Convert a field to a string.
template<>
bool | pqxx::result::field::to< PGSTD::string > (PGSTD::string &Obj) const
| Specialization: `to(string &)`.
result::const_iterator | pqxx::operator+ (result::const_iterator::difference_type o, result::const_iterator i)
result::const_reverse_iterator | pqxx::operator+ (result::const_reverse_iterator::difference_type n, const result::const_reverse_iterator &i)
result::const_fielditerator | pqxx::operator+ (result::const_fielditerator::difference_type o, result::const_fielditerator i)